# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the details of a Push to Card payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the payment details of an Push to Card payment request. By the end of this tutorial, you will know how to: Use the `endToEndId` to retrieve the transaction details of your payment request. ## Before you begin To retrieve the details of a Push to Card payment request, you will need the following: An `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/initiate-a-push-to-card-payment#confirm-response). ## Create and send a payment details request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/initiate-a-push-to-card-payment#confirm-response) contains an `endToEndId` value that can be used to retrieve the status of the payment request. A non-PCI endpoint must be used for this request. ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?endToEndId=1lv0t92e023g11354100' ``` A successful response contains the transaction details for your payment request, but with a tokenized card number returned: ```json { "paymentStatus": { "createDateTime": "2022-10-15T00:00:12.145", "status": "COMPLETED" }, "payments": { "requestedExecutionDate": "2022-06-28", "paymentIdentifiers": { "endToEndId": "1lv0t92e023g11354100" }, "transferType": "CREDIT", "paymentCurrency": "USD", "paymentAmount": 750, "debtor": { "debtorName": "John Doe", "debtorAccount": { "alternateAccountIdentifier": "TEST1US" } }, "debtorAgent": { "financialInstitutionId": { "bic": "CHASUS33" } }, "creditor": { "creditorName": "Jane Doe", "creditorAccount": { "accountType": "CARD", "alternateAccountIdentifier": "TEST1US", "cardExpiryDate": "2207" } }, "remittanceInformation": { "unstructuredInformation": [ "Credit note" ] } }, "firmRootId": "98275a2d-1e88-beed-6938-0521a7e0aexy" } ``` ## Next steps Review the Push to Card [payment parameters](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/payment-parameters). ## Related - Learn how to [initiate a Push to Card payment request](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/initiate-a-push-to-card-payment). - Learn how to [get the status of your Push to Card request](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/get-push-to-card-status).